The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Create NMS IP at Domain

Prev Next

This URL creates the NMS IP at domain.

Resource URL

POST /domain/<domain_id> /nmsip

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

domainId

Domain id

Number

Yes

Payload Parameters:

Field Name

Description

Data Type

Mandatory

NMSIPAddress

Contains the NMS IP

Object

Yes

Details of fields in NMSIPAddress:

Field Name

Description

Data Type

Mandatory

IPAddress

NMS IP

String

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

createdResourceId

Unique id of the created domain

Number

Example

Request

POST https://<NSM_IP>/sdkapi/domain/0/nmsip

Payload

    {
       "IPAddress": "1.1.1.1"
    }

Response

{
       "createdResourceId": 49
}

Error Information

Following error codes are returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1105

Invalid domain

2

400

5601

IP address cannot be empty

3

400

5602

Same IP already exists in Sensor

4

400

5603

Same IP already exists in domain

5

400

5604

Maximum IP addresses allowed exceeded

6

400

5605

Maximum IPv6 addresses allowed exceeded

7

400

5606

Maximum IPv4 addresses allowed exceeded

8

400

5607

IP address not present in this domain

9

400

1406

Invalid IP format